
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>=====  多线程读写串口问题 ======= / iVAN</title>

    <meta name="description" content="=====  多线程读写串口问题 ======= 问题描述 最近在做一个通过串口监视设备的程序.1.串口服务器有N个串口,每个串口可能连接多个设备.2.必须先向设备发送采集命令,设备才会回复数据.3.采集周期500ms甚至更快.4.采集到的数据要存储数据库和更新界面5.设备数量在50以下.我想到两个做法:1.每个串口分配一个采集命令线程和一个读取线程2.每个串口只分配一个线程,这个线程到周期时间就发送采集命令,发完采集命令就读取当前串口数据请教大家:1.上面两种做法哪个相对较好?或者还有没有更好的设计?2.存储数据库和界面更新由读取线程来做,还">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">=====  多线程读写串口问题 =======</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>问题描述</h2>
<p>最近在做一个通过串口监视设备的程序。1.串口服务器有N个串口，每个串口可能连接多个设备。2.必须先向设备发送采集命令，设备才会回复数据。3.采集周期500ms甚至更快。4.采集到的数据要存储数据库和更新界面5.设备数量在50以下。我想到两个做法：1.每个串口分配一个采集命令线程和一个读取线程2.每个串口只分配一个线程，这个线程到周期时间就发送采集命令，发完采集命令就读取当前串口数据请教大家：1.上面两种做法哪个相对较好？或者还有没有更好的设计？2.存储数据库和界面更新由读取线程来做，还是加入任务队列由专有线程来做？<br />
<h2>解决方案</h2>
<p>解决方案二：<br />路过帮顶~<br />解决方案三：<br />1：用第二种，第一种多开一个线程，浪费资源不说，接收和读取之间的线程同步逻辑还得自己写。2：你采集频率这么快，存储数据和界面更新还是单独开个线程来做吧。<br />解决方案四：<br />1.每个串口分配一个线程，这样好些，数据不柱塞或者用线程池，一个线程占1M内存，其实没多大性能影响。开1000个线程都开过。没什么的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 02:21:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>=====  多线程读写串口问题 =======的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZyWYp.html" rel="bookmark">多线程读写 shared&lowbar;ptr需要加锁的原因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我在&lt;Linux 多线程服务端编程:使用 muduo C++ 网络库&gt;第 1.9 节&quot;再论 shared_ptr 的线程 安全&quot;中写道: (shared_ptr)的引用计数本身是安全且无锁的,但对象的读写则不是,因为 shared_ptr 有两个数据成员,读写操作不能原子化.根据文档 (http://www.boost.org/doc/libs/release/libs/smart_ptr/shared_ptr.htm#ThreadSafety), shared_ptr 的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5oPkRb.html" rel="bookmark">求教c&num;多线程操作串口的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求教c#多线程操作串口的方法 需求是这样的. 1.有一个UI的主线程 .里面需要调用 串口通信.往里面发送消息. 2.另一方满我需要循环去取该串口有没有新的消息发送过来.然后将发送过来的消息传递给UI的主线程. c#新手.请教各位.该怎么实现? 解决方案 用serialport控件,用不着多线程.当数据到达,会触发dataarrived事件,不需要轮询. 解决方案二: C#多线程:Interlocked类操作C#基于事件驱动的多串口多线程串口通讯软件架构设计C#基于事件驱动的多串口多线			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjJZZp.html" rel="bookmark">c&num;多线程读写图片画图-C&num; 多线程读写删除文件并绘制在picture上</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C# 多线程读写删除文件并绘制在picture上 namespace PictureSD { public partial class Form1 : Form { public Form1() { InitializeComponent(); } bool flag; bool flag2; private Object thisLock = new object(); ComputePic face; Thread ThreadSamp;// 图片 Bitmap bc1; Bitm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvmqD5b.html" rel="bookmark">redis-关于Redis数据库的java代码多线程读写性能问题，希望可以帮忙看看、、、</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于Redis数据库的java代码多线程读写性能问题,希望可以帮忙看看... 渣渣一枚..由于项目关系,需要用到内存数据库来存key-value所以就开始研究redis这个数据库.现在已经把redis放在了CentOS的测试服务器上,然后通过网上的资料写了链接代码! 测试用了100个线程,每个线程插入10000条数据,结果竟然花了**200s**, 同事用memcached测试同样的数据只要了**20s** 而在linux中用redis自带的redis-benchmark查询性能 结果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4erBLb.html" rel="bookmark">C&num;读写串口，如何处理负数问题？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C#读写串口时,如何处理负数问题? 解决方案 解决方案二:你再问什么??解决方案三:正数怎么处理的,负数一样处理解决方案四:什么意思.Math.Abs()解决方案五:1.出现负数是否正常?2.你想怎么处理?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr26XVM.html" rel="bookmark">java多线程读写同一个文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 同一个文件可以同时被一个线程读另一个线程写吗? 解决方案 如果有一个线程正在读文件,这时又有另个一个线程想来写这个文件 会报错吗?答案是不会.请运行以下的代码 就知道了package org.sse.test;import java.io.File;import java.io.FileInputStream;import java.io.FileNotFoundException;import java.io.FileOutputStream;import java.io.IOExc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN0N14z.html" rel="bookmark">C&plus;&plus;开发：为什么多线程读写shared&lowbar;ptr要加锁的详细介绍&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我在&lt;Linux 多线程服务端编程:使用 muduo C++ 网络库&gt;第 1.9 节&quot;再论 shared_ptr 的线程安全&quot;中写道: (shared_ptr)的引用计数本身是安全且无锁的,但对象的读写则不是,因为 shared_ptr 有两个数据成员,读写操作不能原子化.根据文档(http://www.boost.org/doc/libs/release/libs/smart_ptr/shared_ptr.htm#ThreadSafety), shared_ptr 的线程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlVG3Yz.html" rel="bookmark">java多线程读写文件示例&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: package com.ysh.file; import java.util.ArrayList;import java.util.LinkedList;import java.util.List;import java.util.concurrent.locks.Condition;import java.util.concurrent.locks.Lock;import java.util.concurrent.locks.ReentrantLock; import c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAaqx2M.html" rel="bookmark">多线程分别定时读写同一个文件的样例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				两个线程,一个每分钟写入当前时间到指定文件,另一个线程读出每分钟新写的内容. 使用简单的Thread.sleep技术实现定时 package test.thread; import java.io.BufferedReader; import java.io.File; import java.io.FileReader; import java.io.FileWriter; import java.util.Date; /** * 多线程读写同一个文件的样例. * * @author 赵学庆			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr2ZvM.html" rel="bookmark" class="title">合并两个list集合并且排序</a>
					<div>
						集合合成的话 List&lt;Article&gt; list1 = new ArrayList&lt;Article&gt;();  /*.....添加数据.......*/List&lt;Arti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPW0AM.html" rel="bookmark" class="title">用C&num;实现pdf文件的完整性验证</a>
					<div>
						现在对文件的完整性验证,防止文件被篡改的技术已经比较成熟,一般使用数字签名,数字水印等,最近我在一个项目中也遇到了防篡改的需求.该项目要求用户将原始发票用专门的扫描程序扫描成pdf文件,然后将该pdf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYaBrM.html" rel="bookmark" class="title">黄涌涛：Alexa代表不了实际的网站运营状况</a>
					<div>
						一方面,为防止&quot;作弊&quot;,提高自身权威性,第三方流量统计网站Alexa频繁更改排名算法,导致一些中国网站的排名大幅下滑甚至被清零:另一方面,对于Alexa排名的公正性和影响力的质疑声 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgl7Zp.html" rel="bookmark" class="title">实战分析美白行业最牛导购站</a>
					<div>
						很久没有和大家一起来分析网站排名了,虽然从百度算法更新以来.有些小部分采集网站排在了百度结果当中第一位,这些网站纯属于侥幸.毕竟百度算法还在不断的更新当中,所以这些网站迟早会掉下去的,而笔者喜欢分析一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKWeOb.html" rel="bookmark" class="title">RSA 2012系列（3） 建立SOC的最佳实践分享</a>
					<div>
						在RSA2012大会上,有一个技术研讨会,题目是建立SOC(安全运营中心),讲演者是前BT的一个伙计,现在已经在甲方干活了.他的讲演从建立SOC所需的技术.流程和组织三方面进行了阐述,并着重说到了自建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyRJ4p.html" rel="bookmark" class="title">如何集中查看NTFS权限</a>
					<div>
						[摘要] NTFS权限,作为文件访问控制的手段,已被管理员广泛使用.在企业的文件服务器上,当文件较多,且NTFS权限配置较复杂时,如何方便快捷的查看用户的有效权限,逐渐成为IT管理员需要考虑的问题,本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjvV2p.html" rel="bookmark" class="title">QQ输入法for Mac如何设置候选翻页快捷键</a>
					<div>
						  QQ输入法for Mac设置候选翻页快捷键的方法如下: 进入属性设置界面,进入&quot;按键&quot;标签页,即可设置惯用的候选翻页键.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxBGWb.html" rel="bookmark" class="title">PPT如何使用微软联机图片避免版权问题</a>
					<div>
						  使用微软联机图片就可以规避这一问题. 搜索结果图片已经标记了知识共享许可标记,点击选择图片,单击&quot;插入&quot;按钮即可使用.要了解更都共享版权的使用细节,点击&quot;知识共享许可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4QoVp.html" rel="bookmark" class="title">预装Win8改装Win7的操作步骤</a>
					<div>
						步骤一:将BOOT模式更改为legacy引导模式 V,B,K,E,M系列:如V480.V580.B480.B580.B490.B590.K29.K49.E49.M490.M495 1. 开机F1进入B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaOBAz.html" rel="bookmark" class="title">eMule支持使用UPnP吗</a>
					<div>
						  0.48a版的eMule支持UPnP(通用即插即用),它有助于轻松配置那些支持UPnP的路由器和防火墙.如果eMule能够用UPnP把所需的端口转发配置到路由器上,就不必再关心端口转发问题了,因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGG7rp.html" rel="bookmark" class="title">Photoshop给偏暗的室内人像照片加上淡黄色技巧</a>
					<div>
						偏暗的图片调色相对要复杂一点,因为图片调亮以后,人物肤色部分会多出一些瑕疵,需要先给人物稍微磨一下皮,然后再慢慢润色. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开人物素材图,复制一层,习 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYXDrb.html" rel="bookmark" class="title">Photoshop打造淡美的中性蓝绿色美女图片</a>
					<div>
						  中性图片调色相对来说比较简单,可以直接降低图片的饱和度得到初步的中性图片,然后微调高光及暗部的颜色,给图片增加淡淡的主色即可. 原图 最终效果 1.打开素材图片,创建色相/饱和度调整图层,对全图. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E5BrM.html" rel="bookmark" class="title">源代码-Java的呼叫中心来电弹屏功能</a>
					<div>
						问题描述 Java的呼叫中心来电弹屏功能 最近要做一个呼叫中心与CRM对接的web项目,要求有来电弹屏的功能,我对呼叫中心不是太了解,有了解呼叫中心的求帮助下,最好有关来电弹屏的源代码,Java或者j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8nvmp.html" rel="bookmark" class="title">新春版！2017阿里云150款产品和解决方案全向图（1月制）</a>
					<div>
						导语:上周,国际奥林匹克委员会与阿里巴巴集团在瑞士达沃斯联合宣布,阿里巴巴成为&quot;云服务&quot;及&quot;电子商务平台服务&quot;的官方合作伙伴,以及奥林匹克频道的创始合作伙伴,双 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVN88b.html" rel="bookmark" class="title">seo不止于网站优化搜索引擎排名，多样化的营销模式与网络整合营销新局面</a>
					<div>
						2017年seo不止于网站优化搜索引擎排名更多的是放大seo,获取更多的流量如何以及营销渠道 关于SEO与搜索引擎排名现状分析与SEO去向 网站优化不仅仅局限于搜索引擎排名? 有一个时间,一个关键字的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKjXDb.html" rel="bookmark" class="title">【SSH系列】-- hibernate基本原理&amp;amp&semi;amp&semi;&amp;amp&semi;amp&semi;入门demo</a>
					<div>
						      什么是hibernate?      hibernate在英文中是冬眠的意思,当冬季来临,世界万物开始准备冬眠,但是程序猿这种动物好像不冬眠,因为需求变了,要改bug,冬眠,对于对象来说就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm6Prb.html" rel="bookmark" class="title">并发集合（八）使用原子变量</a>
					<div>
						声明:本文是&lt; Java 7 Concurrency Cookbook&gt;的第一章, 作者: Javier Fernández González 译者:郑玉婷 校对:方腾飞 在Java 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe4PBb.html" rel="bookmark" class="title">新入行程序员应知的十个秘密</a>
					<div>
						初出茅庐的你带着仍残留墨香的毕业证书踏上工作岗位,马上就被书上没写的规则和各种繁杂的日常事务来了个下马威.这样的故事实在是司空见惯,编程工作也不例外. 没有几个学生能100%为自己的第一份真正的工作做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZdRJM.html" rel="bookmark" class="title">抛出异常有什么好处？</a>
					<div>
						问题描述 只要编译时候没有问题,运行时出错了,就算抛出异常了,错误还在那里啊,抛出异常有什么好处呢? 问题补充:捕获和抛出有什么区别?Andy烦烦 写道 解决方案 引用捕获和抛出有什么区别?捕获,异常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYVVOp.html" rel="bookmark" class="title">求助：类似iBooks的电子书，epub格式的怎样实现？书摘、批注如何实现？</a>
					<div>
						问题描述 求助:类似iBooks的电子书,epub格式的怎样实现?书摘.批注如何实现? 求解:类似iBooks, 它的翻页方式是如何实现,我想做的epub格式的图书阅读,要用什么技术点来实现? epu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0REEmz.html" rel="bookmark" class="title">控制并发访问的三道屏障&colon; WCF限流&lpar;Throttling&rpar;体系探秘&lbrack;上篇&rsqb;</a>
					<div>
						WCF是一个基于多线程的消息监听.接收和处理框架体系,能够同时应付来自相同或者不同客户端的服务调用请求,并提供完善的同步机制确保状态的一致性.一方面,我们期望WCF服务端能够处理尽可能多的并发请求,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7ONaz.html" rel="bookmark" class="title">代表颜色的英文单词</a>
					<div>
						在graphviz及派生工具如plantuml中,使用颜色英文比直接用色值还是更有趣一些. 下面是我们扩充词汇量的时候啦!我们看看这些色的名字,中文和对应的颜色. 传统的颜色就不单列了. green: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R8WBz.html" rel="bookmark" class="title">走在网页游戏开发的路上（六）</a>
					<div>
						Flash动画原理 --动画是将静止的画面变为动态的艺术．实现由静止到动态,主要是靠人眼的视觉残留效应．利用人的这种视觉生理特性可制作出具有高度想象力和表现力的动画影片． 0.  前言 像所有的动画显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBE83z.html" rel="bookmark" class="title">用vmware装了redhat linux9&period;0，但是进入虚拟机后鼠标&lpar;usb接口的&rpar;没反应，其他正常，母机（windows7&rpar;下鼠标正常，请问是怎么回事？</a>
					<div>
						问题描述 用vmware装了redhat linux9.0,但是进入虚拟机后鼠标(usb接口的)没反应,其他正常,母机(windows7)下鼠标正常,请问是怎么回事? 解决方案 &quot;Chine ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7j6Rz.html" rel="bookmark" class="title">如何提高ASP&period;NET 编程能力&quest;&quest;&quest;请高手指教&excl;&excl;&excl;&excl;</a>
					<div>
						问题描述 如何提高ASP.NET编程能力???请高手指教!!!!最好能写出学习步骤和方法,谢谢!!!本人目前的水平属于中低水平,只能开发简单的系统,而且不规范. 解决方案 解决方案二:严格来说,我俩不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodBaEM.html" rel="bookmark" class="title">在线等个struts2 &plus; spring&plus;ibatisd的实例</a>
					<div>
						问题描述 在线等个struts2+spring+ibatisd的实例有的话请发给我不胜感激!这辈子谢谢您发我邮箱谢谢啦!!!!costaa2005@tom.coom 解决方案 解决方案二:有吗谢谢??					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7dnZz.html" rel="bookmark" class="title">语音照片应用啪啪：虚火还是传奇 如何探险前方之路</a>
					<div>
						&quot;啪啪火了&quot;表现在不断有名人用她来发声音照片分享至新浪微博,比如洪晃.伊能静--等等;表现在曾迅速窜升至苹果商店中国区免费社交产品榜首,持续多日排行前列. 但啪啪真的火了吗?是如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJvlqp.html" rel="bookmark" class="title">猎豹移动CTO：以云为基础锚定内容新市场</a>
					<div>
						在中国有一批聚焦海外市场业务的公司正在快速成长,猎豹移动就是其中最早一批走出去的企业,其海外用户占到总用户的80%.尤其是基于公有云的模式快速构建弹性架构,让猎豹移动在几年间得到了快速的发展. 现阶段 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nd0dp.html" rel="bookmark" class="title">javascript跨域的方法汇总&lowbar;javascript技巧</a>
					<div>
						此文章学习借鉴了一些其他前端同学的文章,自己做了个实践总结 以下的例子包含的文件均为为 http://www.a.com/a.html .http://www.a.com/c.html 与 http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrLVkp.html" rel="bookmark" class="title">json数据的列循环示例&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: var len = json.length; for (var i = 0; i &lt; len; i++) { for (obj in json[i]) { var obj2 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
